Package com.verisign.epp.namestore.interfaces

## Class NSDomainTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.namestore.interfaces.NSDomainTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class NSDomainTst
      extends junit.framework.TestCase

  Test of the use of the `NSDomain` interface. This test utilizes the EPP session pool and exercises all of the operations defined in `NSDomain` and the base class `EPPDomain`.
  See Also:
    `NSDomain`, `EPPDomain`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NSDomainTst​(java.lang.String name)` | Allocates an `NSDomainTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `java.lang.String` | `makeContactName()` | Makes a unique contact name using the current time.
    `java.lang.String` | `makeDomainName()` | This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeHostName​(java.lang.String newDomainName)` | Makes a unique host name for a domain using the current time.
    `java.lang.String` | `makeIP()` | Makes a unique IP address based off of the current time.
    `static void` | `printEnd​(java.lang.String aTest)` | Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
    `static void` | `printStart​(java.lang.String aTest)` | Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
    `protected void` | `setUp()` | JUNIT `setUp` method
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `NSDomainTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testAllocationToken()` | Unit test using NSDomain.setAllocationToken(String) with domain check, domain info, domain create, domain update, and domain transfer.
    `void` | `testAsyncCommands()` | Unit test processing responses asynchronous from the commands.
    `void` | `testCreateDsDataInterface()` | Unit test of `EPPDomain.sendCreate` for secDNS 1.1 using the DS Data Interface.
    `void` | `testDomainCheck()` | Unit test of `NSDomain.sendDomainCheck` command.
    `void` | `testDomainCoaCreate()` | Unit test of `NSDomain.sendCreate` command with COA extension.
    `void` | `testDomainCoaUpdate()` | Unit test of `NSDomain.sendUpdate` command with COA extension.
    `void` | `testDomainCreate()` | Unit test of `NSDomain.sendCreate` command.
    `void` | `testDomainDelete()` | Unit test of `NSDomain.sendDelete` command.
    `void` | `testDomainIDNCreate()` | Unit test of `NSDomain.sendCreate` command with IDN tag extension.
    `void` | `testDomainInfo()` | Unit test of `NSDomain.sendDomainInfo` command.
    `void` | `testDomainRenew()` | Unit test of `NSDomain.sendDomainRenew` command.
    `void` | `testDomainRestoreReport()` | Unit test of `NSDomain.sendRestoreReport` command.
    `void` | `testDomainRestoreRequest()` | Unit test of `NSDomain.sendRestoreRequest` command.
    `void` | `testDomainSync()` | Unit test of `NSDomain.sendSync` command.
    `void` | `testDomainTransfer()` | Unit test of `NSDomain.sendTransfer` command.
    `void` | `testDomainUpdate()` | Unit test of `NSDomain.sendUpdate` command.
    `void` | `testEndSession()` | Unit test of `EPPSession.endSession`.
    `void` | `testOrgId()` | Unit test using `NSDomain.addOrgId(com.verisign.epp.codec.orgext.EPPOrgExtId)` to set the org identifier on create and `NSDomain.addUpdateOrgId(int, com.verisign.epp.codec.orgext.EPPOrgExtId)` to update the org identifier of an existing domain.
    `void` | `testRelatedDomainCreate()` | Unit test of `NSDomain.sendRelatedCreate`.
    `void` | `testSecDNS10()` | Unit test of support secDNS-1.0 with NSDomain for backward compatibility.
    `void` | `testUpdateDsDataInterface()` | Unit test of `EPPDomain.sendUpdate` for secDNS 1.1 using the DS Data Interface.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NSDomainTst

          public NSDomainTst​(java.lang.String name)

      Allocates an `NSDomainTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test of `NSDomain.sendCreate` command.

    - #### testRelatedDomainCreate

          public void testRelatedDomainCreate()

      Unit test of `NSDomain.sendRelatedCreate`.

    - #### testCreateDsDataInterface

          public void testCreateDsDataInterface()

      Unit test of `EPPDomain.sendCreate` for secDNS 1.1 using the DS Data Interface. The VeriSign servers only support the DS Data Interface. The following tests will be executed:
      1. Create for a Secure Delegation using the DS Data Interface with one DS.
      2. Create for a Secure Delegation using the DS Data Interface with two DS. One DS created from key data.

    - #### testUpdateDsDataInterface

          public void testUpdateDsDataInterface()

      Unit test of `EPPDomain.sendUpdate` for secDNS 1.1 using the DS Data Interface. The VeriSign servers only support the DS Data Interface. The following tests will be executed:
      1. Adding and Removing DS Data using the DS Data Interface.
      2. Remove all DS using <secDNS:rem> with <secDNS:all>.
      3. Replacing all DS Data using the DS Data Interface.

    - #### testDomainCheck

          public void testDomainCheck()

      Unit test of `NSDomain.sendDomainCheck` command.

    - #### testDomainInfo

          public void testDomainInfo()

      Unit test of `NSDomain.sendDomainInfo` command.

    - #### testDomainDelete

          public void testDomainDelete()

      Unit test of `NSDomain.sendDelete` command.

    - #### testDomainRenew

          public void testDomainRenew()

      Unit test of `NSDomain.sendDomainRenew` command.

    - #### testDomainUpdate

          public void testDomainUpdate()

      Unit test of `NSDomain.sendUpdate` command.

    - #### testDomainTransfer

          public void testDomainTransfer()

      Unit test of `NSDomain.sendTransfer` command.

    - #### testDomainSync

          public void testDomainSync()

      Unit test of `NSDomain.sendSync` command.

    - #### testDomainRestoreRequest

          public void testDomainRestoreRequest()

      Unit test of `NSDomain.sendRestoreRequest` command.

    - #### testDomainRestoreReport

          public void testDomainRestoreReport()

      Unit test of `NSDomain.sendRestoreReport` command.

    - #### testDomainIDNCreate

          public void testDomainIDNCreate()

      Unit test of `NSDomain.sendCreate` command with IDN tag extension.

    - #### testAllocationToken

          public void testAllocationToken()

      Unit test using NSDomain.setAllocationToken(String) with domain check, domain info, domain create, domain update, and domain transfer.

    - #### testOrgId

          public void testOrgId()

      Unit test using `NSDomain.addOrgId(com.verisign.epp.codec.orgext.EPPOrgExtId)` to set the org identifier on create and `NSDomain.addUpdateOrgId(int, com.verisign.epp.codec.orgext.EPPOrgExtId)` to update the org identifier of an existing domain.

    - #### testEndSession

          public void testEndSession()

      Unit test of `EPPSession.endSession`. One session in the session pool will be ended.

    - #### testAsyncCommands

          public void testAsyncCommands()

      Unit test processing responses asynchronous from the commands. This is a test of the use of pipelining.

    - #### testSecDNS10

          public void testSecDNS10()

      Unit test of support secDNS-1.0 with NSDomain for backward compatibility.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `NSDomainTst`.
      Returns:
        DOCUMENT ME!

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### printStart

          public static void printStart​(java.lang.String aTest)

      Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### printEnd

          public static void printEnd​(java.lang.String aTest)

      Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        Unique domain name

    - #### makeIP

          public java.lang.String makeIP()

      Makes a unique IP address based off of the current time.
      Returns:
        Unique IP address `String`

    - #### makeHostName

          public java.lang.String makeHostName​(java.lang.String newDomainName)

      Makes a unique host name for a domain using the current time.
      Parameters:
        `newDomainName` - DOCUMENT ME!
      Returns:
        Unique host name `String`

    - #### makeContactName

          public java.lang.String makeContactName()

      Makes a unique contact name using the current time.
      Returns:
        Unique contact name `String`

    - #### testDomainCoaCreate

          public void testDomainCoaCreate()

      Unit test of `NSDomain.sendCreate` command with COA extension.

    - #### testDomainCoaUpdate

          public void testDomainCoaUpdate()

      Unit test of `NSDomain.sendUpdate` command with COA extension.